Subject: Re: bug#43120: 28.0.50; fido-mode: M-j before completions appear selects wrong choice

From: João Távora <[email-masked]>
Date: Wed, 9 Sep 2020 20:54:39 +0100

On Wed, Sep 9, 2020 at 8:52 PM Stefan Monnier <[email-masked]>
wrote:

> >>> Nope, sorry. You're right. It should read minibuffer-complete-and-exit
> there
> >>> of course.
> >> IIRC this depends on whether the completion is `require-match` or not.
> > If so, shouldn't minibuffer-complete-and-exit take care of that?
>
> Yes and no: IIRC depending on `require-match`, RET is bound either
> to `minibuffer-complete-and-exit` or to `exit-minibuffer`.

Bah, so the remap you suggested wouldn't work anyway.  What to do?
The good 'ol :filter trick? How does it go again?

João